%define majver %(echo %version | cut -d. -f1-2)
Name:          seafile-client
Version:       9.0.11
Release:       1mamba
Summary:       Seafile desktop client
Group:         Graphical Desktop/Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.seafile.com/en/home/
Source:        https://github.com/haiwen/seafile-client.git/v%{version}/seafile-client-%{version}.tar.bz2
Source1:       seafile.appdata.xml
Patch1:        seafile-client-9.0.5-qt6-6.6.3.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Widgets
BuildRequires: libevent-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libjansson-devel
BuildRequires: libopenssl-devel
BuildRequires: libseafile-devel
BuildRequires: libsearpc-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: qt6-qt5compat-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      seafile >= %majver

%description
Seafile desktop client.

%debug_package

%prep
%setup -q
%patch 1 -p1

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

install -D -m 644 -pv %{SOURCE1} %{buildroot}%{_metainfodir}/seafile.appdata.xml

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/seafile-applet
%{_datadir}/applications/seafile.desktop
%{_metainfodir}/seafile.appdata.xml
%{_datadir}/icons/hicolor/*/apps/seafile.png
%{_datadir}/icons/hicolor/scalable/apps/seafile.svg
%{_datadir}/pixmaps/seafile.png
%doc LICENSE
#%doc README.md

%changelog
* Fri Nov 15 2024 Automatic Build System <autodist@openmamba.org> 9.0.11-1mamba
- automatic version update by autodist

* Tue Nov 12 2024 Automatic Build System <autodist@openmamba.org> 9.0.10-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 9.0.9-1mamba
- automatic version update by autodist

* Fri Oct 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.8-2mamba
- added appdata metainfo file

* Fri Aug 16 2024 Automatic Build System <autodist@openmamba.org> 9.0.8-1mamba
- automatic version update by autodist

* Tue Jul 23 2024 Automatic Build System <autodist@openmamba.org> 9.0.7-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 9.0.6-1mamba
- automatic version update by autodist

* Sat Mar 30 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.5-2mamba
- rebuilt with qt6

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 9.0.5-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 9.0.4-1mamba
- automatic version update by autodist

* Fri Jun 30 2023 Automatic Build System <autodist@mambasoft.it> 9.0.3-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 9.0.2-1mamba
- automatic version update by autodist

* Wed Mar 22 2023 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 8.0.10-1mamba
- automatic version update by autodist

* Sat Nov 19 2022 Automatic Build System <autodist@mambasoft.it> 8.0.9-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 8.0.6-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 8.0.5-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Mon Jun 28 2021 Automatic Build System <autodist@mambasoft.it> 8.0.3-1mamba
- automatic version update by autodist

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-1mamba
- update to 8.0.1

* Sat Sep 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.2-1mamba
- update to 7.0.2

* Tue Dec 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.9-1mamba
- update to 6.2.9

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.3-1mamba
- update to 6.1.3

* Wed Jul 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.7-1mamba
- update to 6.0.7

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.7-1mamba
- update to 5.0.7

* Tue Mar 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.2-1mamba
- update to 4.4.2

* Sun May 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- update to 4.2.2

* Tue May 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-1mamba
- update to 3.1.12

* Mon Dec 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.11-1mamba
- update to 3.1.11

* Wed Aug 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.5-1mamba
- package created using the webbuild interface
